/kamaki - Bug # 3187

Status: Closed Priority: Medium

Author: Stavros Sachtouris Category:

Created: 01/17/2013 Assignee: Stavros Sachtouris
Updated: 01/29/2013 Due date: 01/25/2013
Subject: path prefix wildcard @ kamaki-store commands

Description

Kamaki store commands need a wildcard functionality. A simple prefix-aware approach will be implemented. The idea is already
implemented in kamaki-store-list in the sence that all keywords are handled as prefixes.

Simple Specs:
kamaki store <command> ... <container>: [--exact-match]

e.g. List all files starting with my: kamaki store list pithos:my
e.g. List only a fyle called my:  kamaki store list pithos:my --exact-match

History

#1 - 01/21/2013 02:36 pm - Stavros Sachtouris
- % Done changed from 10 to 50

#2 - 01/22/2013 03:08 pm - Stavros Sachtouris
- % Done changed from 50 to 80

#3 - 01/29/2013 04:54 pm - Stavros Sachtouris

- Status changed from New to Closed
- % Done changed from 80 to 100

Instead of a wildcard mechanism, some store commands behavior changed to use remote or local paths as prefixes. This is the case when directories are
involved, e.g. download cont:remote/path local/dir --recursive will now download everything under cont:remote/path as local/dir/<full path>
